/**
 * OpenGL 3.1 with GLEW and GLUT
 *
 * @author	Norbert Nopper norbert@nopper.tv
 * @version	1.0
 *
 * Homepage: http://nopper.tv
 *
 * Copyright Norbert Nopper
 */

#pragma once

#include <GL/glew.h>

class Image
{

private:

	static GLvoid swapColorChannel(GLuint width, GLuint height, GLenum format, GLubyte* pixelData);

public:

	static GLboolean loadTGA(const char* filename, GLushort& width, GLushort& height, GLenum& format, GLubyte** pixelData);

};
