/**
 * OpenGL 3.1 with GLEW and GLUT
 *
 * @author	Norbert Nopper norbert@nopper.tv
 * @version	1.0
 *
 * Homepage: http://nopper.tv
 *
 * Copyright Norbert Nopper
 */

#pragma once

#include <GL/glew.h>

class Matrix
{

public:

	static GLvoid loadIdentity(GLfloat matrix[16]);

	static GLvoid translateMatrix(GLfloat result[16], GLfloat x, GLfloat y, GLfloat z);

	static GLvoid multMatrix(GLfloat result[16], const GLfloat matrix0[16], const GLfloat matrix1[16]);

	static GLvoid rotateRzRyRxMatrixf(GLfloat result[16], GLfloat anglex, GLfloat angley, GLfloat anglez);

};
