/**
 * OpenGL 3.1 with GLEW and GLUT
 *
 * @author	Norbert Nopper norbert@nopper.tv
 * @version	1.0
 *
 * Homepage: http://nopper.tv
 *
 * Copyright Norbert Nopper
 */

#pragma once

#include <GL/glew.h>

class Projection
{

public:

	static GLvoid perspective(GLfloat result[16], GLfloat fovy, GLfloat aspect, GLfloat zNear, GLfloat zFar);
	static GLvoid ortho(GLfloat result[16], GLfloat fovy, GLfloat aspect, GLfloat zNear, GLfloat zFar);

	static GLvoid frustum(GLfloat result[16], GLfloat left, GLfloat right, GLfloat bottom, GLfloat top, GLfloat nearVal, GLfloat farVal);
	static GLvoid orthoFrustum(GLfloat result[16], GLfloat w, GLfloat h, GLfloat nearVal, GLfloat farVal);
	//static GLvoid orthoFrustum(GLfloat result[16], GLfloat left, GLfloat right, GLfloat bottom, GLfloat top, GLfloat nearVal, GLfloat farVal);

};
