/**
 * OpenGL 3.1 with GLEW and GLUT
 *
 * @author	Norbert Nopper norbert@nopper.tv
 * @version	1.0
 *
 * Homepage: http://nopper.tv
 *
 * Copyright Norbert Nopper
 */

#pragma once

#include <GL/glew.h>

class Vector
{

public:

	static GLfloat amount(const GLfloat vector[3]);
		
	static GLvoid normalize(GLfloat vector[3]);

	static GLfloat dotProduct(const GLfloat vector0[3], const GLfloat vector1[3]);

	static GLvoid crossProduct(GLfloat result[3], const GLfloat vector0[3], const GLfloat vector1[3]);

};
